package cn.com.qmth.examcloud.starters.face.verify.service;

import cn.com.qmth.examcloud.starters.face.verify.common.FaceResult;

public interface FaceVerifyService {

    /**
     * 百度 人脸检测
     */
    FaceResult faceDetectByBaidu(String imageUrl);

    /**
     * 百度 人脸比对
     */
    FaceResult faceCompareByBaidu(String imageUrl, String imageUrl2);

    /**
     * Face++ 人脸检测
     */
    FaceResult faceDetectByFacePlus(String imageUrl);

    /**
     * Face++ 人脸比对
     */
    FaceResult faceCompareByFacePlus(String imageUrl, String imageUrl2);

}
