package cn.com.qmth.examcloud.starters.face.verify.test;

import cn.com.qmth.examcloud.starters.face.verify.FaceVerifyProperties;
import cn.com.qmth.examcloud.starters.face.verify.common.FaceResult;
import cn.com.qmth.examcloud.starters.face.verify.common.JsonHelper;
import cn.com.qmth.examcloud.starters.face.verify.service.impl.FaceVerifyServiceImpl;
import org.junit.Test;

public class FaceVerifyTest {

    @Test
    public void demo() {
        FaceVerifyProperties properties = new FaceVerifyProperties();
        // properties.setBaiduAccessTokenEnabled(false);
        properties.setBaiduKey("xxx");
        properties.setBaiduSecret("xxx");
        properties.setFacePlusKey("xxx");
        properties.setFacePlusSecret("xxx");

        FaceVerifyServiceImpl faceVerifyService = new FaceVerifyServiceImpl();
        faceVerifyService.setProperties(properties);

        // String imageUrl = "https://img0.baidu.com/it/u=2750657437,2761718651&fm=253&fmt=auto&app=138&f=JPEG?w=500&h=749";
        // String imageUrl = "https://img2.baidu.com/it/u=1657567997,3247312681&fm=253&fmt=auto&app=138&f=JPEG?w=500&h=666";
        String imageUrl = "http://5b0988e595225.cdn.sohucs.com/images/20171017/cbdb993563a94a45ab5f99202b0c9c52.jpeg";
        String imageUrl2 = "https://pix2.tvzhe.com/thumb/star/32/524/260x346.jpg";

        FaceResult result = faceVerifyService.faceDetectByBaidu(imageUrl);
        // FaceResult result = faceVerifyService.faceDetectByFacePlus(imageUrl);
        // FaceResult result = faceVerifyService.faceCompareByBaidu(imageUrl, imageUrl2);
        // FaceResult result = faceVerifyService.faceCompareByFacePlus(imageUrl, imageUrl2);

        System.out.println("==================================================");
        System.out.println(new JsonHelper().toJson(result));
    }

}
